[Scipy-tickets] [SciPy] #709: ValueError: array dimensions are not compatible for copy

SciPy scipy-tickets@scipy....
Tue Sep 9 01:10:52 CDT 2008


#709: ValueError: array dimensions are not compatible for copy
--------------------------+-------------------------------------------------
 Reporter:  nils          |        Owner:  somebody
     Type:  defect        |       Status:  new     
 Priority:  high          |    Milestone:  0.7.0   
Component:  scipy.linalg  |      Version:  devel   
 Severity:  blocker       |   Resolution:          
 Keywords:                |  
--------------------------+-------------------------------------------------
Comment (by nils):

 I am using the source distribution lapack-3.1.1 and ATLAS3.8.2.

 The first error in 2dof.py appears when *p*=1.6666666666666667.
 {{{Traceback (most recent call last):
   File "2dof.py", line 38, in <module>
     w,v = eig(A,B)
   File "/data/home/nwagner/local/lib/python2.5/site-
 packages/scipy/linalg/decomp.py", line 156, in eig
     return _geneig(a1,b,left,right,overwrite_a,overwrite_b)
   File "/data/home/nwagner/local/lib/python2.5/site-
 packages/scipy/linalg/decomp.py", line 91, in _geneig
     vr = _make_complex_eigvecs(w, vr, t)
   File "/data/home/nwagner/local/lib/python2.5/site-
 packages/scipy/linalg/decomp.py", line 39, in _make_complex_eigvecs
     vnew.real = numpy.take(vin,ind[::2],1)
 ValueError: array dimensions are not compatible for copy
 >>> Omega
 1.6666666666666667
 }}}

-- 
Ticket URL: <http://scipy.org/scipy/scipy/ticket/709#comment:4>
SciPy <http://www.scipy.org/>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list